<?php

$TIPO_REDE = (!empty($model->TLD_TIPO_REDE)) ? explode(', ', $model->TLD_TIPO_REDE) : array();

$DOCUMENTOS_FISCAIS  = (!empty($model->TLD_DOCUMENTOS_FISCAIS)) ? explode(', ', $model->TLD_DOCUMENTOS_FISCAIS) : array();

$DOC_ELETR_EMISSOR  = (!empty($model->TLD_DOC_ELETR_EMISSOR)) ? explode(', ', $model->TLD_DOC_ELETR_EMISSOR) : array();
$Emissores = array('Serasa', 'Certisign', 'Caixa', 'Safeweb');
$DOC_ELETR_EMISSOR_OUTRO = '';
foreach ($DOC_ELETR_EMISSOR as $element) {
    if (!in_array($element, $Emissores)) {
        $DOC_ELETR_EMISSOR_OUTRO = $element;
    }
}

$INFORMACOES_FINANCEIRAS = (!empty($model->TLD_INFORMACOES_FINANCEIRAS)) ? explode(', ', $model->TLD_INFORMACOES_FINANCEIRAS) : $INFORMACOES_FINANCEIRAS = array();

$GERA_COMISSAO_TIPO = (!empty($model->TLD_GERA_COMISSAO_TIPO)) ? explode(', ', $model->TLD_GERA_COMISSAO_TIPO) : array();

$COMISSAO_DOCS = (!empty($model->TLD_COMISSAO_DOCS)) ? explode(', ', $model->TLD_COMISSAO_DOCS) : array();

$BAIXA_DOCUMENTO = (!empty($model->TLD_BAIXA_DOCUMENTO)) ? explode(', ', $model->TLD_BAIXA_DOCUMENTO) : array();

$TLD_FUNCIONARIOS_TREINAMENTO = (!empty($model->TLD_FUNCIONARIOS_TREINAMENTO)) ? explode(', ', $model->TLD_FUNCIONARIOS_TREINAMENTO) : array();

$model->TLD_N_FUNCIONARIOS_TREINAMENTO = (!empty($model->TLD_N_FUNCIONARIOS_TREINAMENTO)) ? (int) $model->TLD_N_FUNCIONARIOS_TREINAMENTO : count($TLD_FUNCIONARIOS_TREINAMENTO);

?>

<div class="form">

    <?php
    $form = $this->beginWidget('GxActiveForm', array(
        'id' => 'termo-levantamento-dados-form',
    ));
    ?>

    <?php echo FaHtml::getFormInfo($form, $model); ?>

    <?php echo $form->hiddenField($model, 'TLD_IDCLIENTE', array('type' => "hidden", 'value' => $Cliente->CLI_IDCLIENTE)); ?>
    <div class="row">
        <label>Razão social da empresa</label>
        <input name="razao_social_empresa" type="text" value="<?php echo $Cliente->CLI_NOME; ?>" readonly="reandonly" />
    </div><!-- row -->
    <div class="row">
        <label>E-mail do responsável</label>
        <input name="email_responsavel" type="text" value="<?php echo $Cliente->CLI_EMAIL; ?>" readonly="reandonly" />
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_QTD_COMPUT'); ?>
        <?php echo $form->textField($model, 'TLD_QTD_COMPUT'); ?>
        <?php echo $form->error($model, 'TLD_QTD_COMPUT'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_N_FUNCIONARIOS_TREINAMENTO'); ?>
        <?php echo $form->dropDownList($model, 'TLD_N_FUNCIONARIOS_TREINAMENTO', array('1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5', '6' => '6', '7' => '7', '8' => '8', '9' => '9', '10' => '10'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_N_FUNCIONARIOS_TREINAMENTO(this.value)')); ?>
        <?php echo $form->error($model, 'TLD_N_FUNCIONARIOS_TREINAMENTO'); ?>
    </div><!-- row -->
    <div class="row" id="row-funcionarios">
        <?php
        if ($model->TLD_N_FUNCIONARIOS_TREINAMENTO > 0) {
            ?>
            <div class="row func-treinamento">
                <?php echo $form->labelEx($model, 'TLD_FUNCIONARIOS_TREINAMENTO'); ?>
                <?php
                for ($i = 0; $i < $model->TLD_N_FUNCIONARIOS_TREINAMENTO; $i++) {
                    ?>
                    <?php echo $form->textField($model, 'TLD_FUNCIONARIOS_TREINAMENTO[]', array('maxlength' => '255', 'value' => $TLD_FUNCIONARIOS_TREINAMENTO[$i])); ?>
                    <?php
                }
                ?>

            </div>
            <?php
        }
        ?>
        <div class="retorno-funcionarios"></div>
        <?php echo $form->error($model, 'TLD_FUNCIONARIOS_TREINAMENTO'); ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_COMPUT_REDE'); ?>
        <?php echo $form->dropDownList($model, 'TLD_COMPUT_REDE', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_COMPUT_REDE(this.value)')); ?>
        <?php echo $form->error($model, 'TLD_COMPUT_REDE'); ?>
    </div><!-- row -->
    <div class="row" id="t_TLD_TIPO_REDE" style="display: <?php
    if ($model->TLD_COMPUT_REDE == 1) {
        echo 'block';
    } else {
        echo 'none';
    }
    ?>;">
         <?php echo $form->labelEx($model, 'TLD_TIPO_REDE'); ?>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_TIPO_REDE][]" value="Cabeada"<?php
            if (in_array('Cabeada', $TIPO_REDE)) {
                echo ' checked="checked"';
            }
            ?> />  Cabeada</label>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_TIPO_REDE][]" value="Wifi"<?php
            if (in_array('Wifi', $TIPO_REDE)) {
                echo ' checked="checked"';
            }
            ?> />  Wifi</label>
            <?php echo $form->error($model, 'TLD_TIPO_REDE'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_SERVIDOR_DEDICADO'); ?>
        <?php echo $form->dropDownList($model, 'TLD_SERVIDOR_DEDICADO', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione')); ?>
        <?php echo $form->error($model, 'TLD_SERVIDOR_DEDICADO'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_SERVIDOR_NOME'); ?>
        <?php echo $form->textField($model, 'TLD_SERVIDOR_NOME', array('maxlength' => '255')); ?>
        <?php echo $form->error($model, 'TLD_SERVIDOR_NOME'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_SERVIDOR_USUARIO'); ?>
        <?php echo $form->textField($model, 'TLD_SERVIDOR_USUARIO', array('maxlength' => '100')); ?>
        <?php echo $form->error($model, 'TLD_SERVIDOR_USUARIO'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_SERVIDOR_SENHA'); ?>
        <?php echo $form->textField($model, 'TLD_SERVIDOR_SENHA', array('maxlength' => '100')); ?>
        <?php echo $form->error($model, 'TLD_SERVIDOR_SENHA'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_SERVIDOR_SO'); ?>
        <?php echo $form->dropDownList($model, 'TLD_SERVIDOR_SO', array('Linux' => 'Linux', 'Windows' => 'Windows'), array('prompt' => 'Selecione')); ?>
        <?php echo $form->error($model, 'TLD_SERVIDOR_SO'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_REGIME_TRIBUTARIO'); ?>
        <?php echo $form->dropDownList($model, 'TLD_REGIME_TRIBUTARIO', array('Optante pelo Simples Nacional' => 'Optante pelo Simples Nacional', 'Lucro presumido' => 'Lucro presumido', 'Lucro real' => 'Lucro real'), array('prompt' => 'Selecione')); ?>
        <?php echo $form->error($model, 'TLD_REGIME_TRIBUTARIO'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_DOCUMENTOS_FISCAIS'); ?>
        <label class="check-tld"><input type="checkbox" id="TLD_DOCUMENTOS_FISCAIS_1" name="TermoLevantamentoDados[TLD_DOCUMENTOS_FISCAIS][]" value="NF-e" onclick="f_TLD_DOCUMENTOS_FISCAIS();"<?php
            if (in_array('NF-e', $DOCUMENTOS_FISCAIS)) {
                echo ' checked="checked"';
            }
            ?> />  NF-e</label>
        <label class="check-tld"><input type="checkbox" id="TLD_DOCUMENTOS_FISCAIS_2" name="TermoLevantamentoDados[TLD_DOCUMENTOS_FISCAIS][]" value="CT-e" onclick="f_TLD_DOCUMENTOS_FISCAIS();"<?php
            if (in_array('CT-e', $DOCUMENTOS_FISCAIS)) {
                echo ' checked="checked"';
            }
            ?> />  CT-e</label>
        <label class="check-tld"><input type="checkbox" id="TLD_DOCUMENTOS_FISCAIS_3" name="TermoLevantamentoDados[TLD_DOCUMENTOS_FISCAIS][]" value="Cupom frente de caixa" onclick="f_TLD_DOCUMENTOS_FISCAIS();"<?php
            if (in_array('Cupom frente de caixa', $DOCUMENTOS_FISCAIS)) {
                echo ' checked="checked"';
            }
            ?> />  Cupom frente de caixa</label>
        <label class="check-tld"><input type="checkbox" id="TLD_DOCUMENTOS_FISCAIS_4" name="TermoLevantamentoDados[TLD_DOCUMENTOS_FISCAIS][]" value="NFS-e" onclick="f_TLD_DOCUMENTOS_FISCAIS();"<?php
            if (in_array('NFS-e', $DOCUMENTOS_FISCAIS)) {
                echo ' checked="checked"';
            }
            ?> />  NFS-e</label>
        <label class="check-tld"><input type="checkbox" id="TLD_DOCUMENTOS_FISCAIS_5" name="TermoLevantamentoDados[TLD_DOCUMENTOS_FISCAIS][]" value="Cupom normal" onclick="f_TLD_DOCUMENTOS_FISCAIS();"<?php
            if (in_array('Cupom normal', $DOCUMENTOS_FISCAIS)) {
                echo ' checked="checked"';
            }
            ?> />  Cupom normal</label>
        <label class="check-tld"><input type="checkbox" id="TLD_DOCUMENTOS_FISCAIS_6" name="TermoLevantamentoDados[TLD_DOCUMENTOS_FISCAIS][]" value="Cupom concomitante" onclick="f_TLD_DOCUMENTOS_FISCAIS();"<?php
            if (in_array('Cupom concomitante', $DOCUMENTOS_FISCAIS)) {
                echo ' checked="checked"';
            }
            ?> />  Cupom concomitante</label>
        <label class="check-tld"><input type="checkbox" id="TLD_DOCUMENTOS_FISCAIS_7" name="TermoLevantamentoDados[TLD_DOCUMENTOS_FISCAIS][]" value="MDF-e" onclick="f_TLD_DOCUMENTOS_FISCAIS();"<?php
            if (in_array('MDF-e', $DOCUMENTOS_FISCAIS)) {
                echo ' checked="checked"';
            }
            ?> />  MDF-e</label>
        <label class="check-tld"><input type="checkbox" id="TLD_DOCUMENTOS_FISCAIS_8" name="TermoLevantamentoDados[TLD_DOCUMENTOS_FISCAIS][]" value="NFC-e" onclick="f_TLD_DOCUMENTOS_FISCAIS();"<?php
            if (in_array('NFC-e', $DOCUMENTOS_FISCAIS)) {
                echo ' checked="checked"';
            }
            ?> />  NFC-e</label>
        <label class="check-tld"><input type="checkbox" id="TLD_DOCUMENTOS_FISCAIS_9" name="TermoLevantamentoDados[TLD_DOCUMENTOS_FISCAIS][]" value="NF matricial" onclick="f_TLD_DOCUMENTOS_FISCAIS();"<?php
            if (in_array('NF matricial', $DOCUMENTOS_FISCAIS)) {
                echo ' checked="checked"';
            }
            ?> />  NF matricial</label>
        <div class="clear"></div>
        <?php echo $form->error($model, 'TLD_DOCUMENTOS_FISCAIS'); ?>
    </div><!-- row -->

    <div id="tld-ecfs" style="display: <?php
    if (in_array('Cupom frente de caixa', $DOCUMENTOS_FISCAIS) or in_array('Cupom normal', $DOCUMENTOS_FISCAIS) or in_array('Cupom concomitante', $DOCUMENTOS_FISCAIS)) {
        echo 'block';
    } else {
        echo 'none';
    }
    ?>;">
        <div class="row">Se emite cupom responda:</div>
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_QTD_ECF'); ?>
            <?php echo $form->textField($model, 'TLD_QTD_ECF'); ?>
            <?php echo $form->error($model, 'TLD_QTD_ECF'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_ECF_MODELOS'); ?>
            <?php echo $form->textArea($model, 'TLD_ECF_MODELOS'); ?>
            <?php echo $form->error($model, 'TLD_ECF_MODELOS'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_ECF_COMUNICACAO'); ?>
            <?php echo $form->dropDownList($model, 'TLD_ECF_COMUNICACAO', array('USB' => 'USB', 'Serial' => 'Serial'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_ECF_COMUNICACAO(this.value)')); ?>
            <?php echo $form->error($model, 'TLD_ECF_COMUNICACAO'); ?>
        </div><!-- row -->
        <div class="row" id="t_TLD_ECF_PORTA_DISPONIVEL" style="display: <?php
        if ($model->TLD_ECF_COMUNICACAO == 'Serial') {
            echo 'block';
        } else {
            echo 'none';
        }
        ?>;">
             <?php echo $form->labelEx($model, 'TLD_ECF_PORTA_DISPONIVEL'); ?>
             <?php echo $form->dropDownList($model, 'TLD_ECF_PORTA_DISPONIVEL', array('1' => 'Sim', '0' => 'Não')); ?>
             <?php echo $form->error($model, 'TLD_ECF_PORTA_DISPONIVEL'); ?>
        </div><!-- row -->
    </div>

    <div id="tld-doc-eletronico" style="display: <?php
    if (in_array('NF-e', $DOCUMENTOS_FISCAIS) or in_array('CT-e', $DOCUMENTOS_FISCAIS) or in_array('NFS-e', $DOCUMENTOS_FISCAIS) or in_array('MDF-e', $DOCUMENTOS_FISCAIS) or in_array('NFC-e', $DOCUMENTOS_FISCAIS)) {
        echo 'block';
    } else {
        echo 'none';
    }
    ?>;">
        <div class="row">Se emite documento eletrônico responda:</div>
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_DOC_ELETR_CERTIFICADO'); ?>
            <?php echo $form->dropDownList($model, 'TLD_DOC_ELETR_CERTIFICADO', array('A1' => 'A1', 'A3' => 'A3'), array('prompt' => 'Selecione')); ?>
            <?php echo $form->error($model, 'TLD_DOC_ELETR_CERTIFICADO'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_DOC_ELETR_EMISSOR'); ?>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_DOC_ELETR_EMISSOR][]" value="Serasa"<?php
                if (in_array('Serasa', $DOC_ELETR_EMISSOR)) {
                    echo ' checked="checked"';
                }
                ?> />  Serasa</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_DOC_ELETR_EMISSOR][]" value="Certisign"<?php
                if (in_array('Certisign', $DOC_ELETR_EMISSOR)) {
                    echo ' checked="checked"';
                }
                ?> />  Certisign</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_DOC_ELETR_EMISSOR][]" value="Caixa"<?php
                if (in_array('Caixa', $DOC_ELETR_EMISSOR)) {
                    echo ' checked="checked"';
                }
                ?> />  Caixa</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_DOC_ELETR_EMISSOR][]" value="Safeweb"<?php
                if (in_array('Safeweb', $DOC_ELETR_EMISSOR)) {
                    echo ' checked="checked"';
                }
                ?> />  Safeweb</label>
            <label class="check-tld">Outro: <input type="text" id="TermoLevantamentoDados_TLD_DOC_ELETR_EMISSOR" name="TermoLevantamentoDados[TLD_DOC_ELETR_EMISSOR][]" value="<?php echo $DOC_ELETR_EMISSOR_OUTRO; ?>" style="width:150px"></label>
            <div class="clear"></div>
            <?php echo $form->error($model, 'TLD_DOC_ELETR_EMISSOR'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_DOC_ELETR_DISPOSITIVO'); ?>
            <?php echo $form->dropDownList($model, 'TLD_DOC_ELETR_DISPOSITIVO', array('Digital' => 'Digital', 'Leitora' => 'Leitora', 'Token' => 'Token'), array('prompt' => 'Selecione')); ?>
            <?php echo $form->error($model, 'TLD_DOC_ELETR_DISPOSITIVO'); ?>
        </div><!-- row -->
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_GERA_COMISSAO'); ?>
        <?php echo $form->dropDownList($model, 'TLD_GERA_COMISSAO', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_GERA_COMISSAO(this.value)')); ?>
        <?php echo $form->error($model, 'TLD_GERA_COMISSAO'); ?>
    </div><!-- row -->
    <div id="t_TLD_GERA_COMISSAO" style="display: <?php
    if ($model->TLD_GERA_COMISSAO == '1') {
        echo 'block';
    } else {
        echo 'none';
    }
    ?>;">
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_GERA_COMISSAO_TIPO'); ?>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_GERA_COMISSAO_TIPO][]" value="Por tabela"<?php
                if (in_array('Por tabela', $GERA_COMISSAO_TIPO)) {
                    echo ' checked="checked"';
                }
                ?> />  Por tabela</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_GERA_COMISSAO_TIPO][]" value="Por faixa de desconto"<?php
                if (in_array('Por faixa de desconto', $GERA_COMISSAO_TIPO)) {
                    echo ' checked="checked"';
                }
                ?> />  Por faixa de desconto</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_GERA_COMISSAO_TIPO][]" value="Por vendedor"<?php
                if (in_array('Por vendedor', $GERA_COMISSAO_TIPO)) {
                    echo ' checked="checked"';
                }
                ?> />  Por vendedor</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_GERA_COMISSAO_TIPO][]" value="Por produto"<?php
                if (in_array('Por produto', $GERA_COMISSAO_TIPO)) {
                    echo ' checked="checked"';
                }
                ?> />  Por produto</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_GERA_COMISSAO_TIPO][]" value="Por cliente"<?php
                if (in_array('Por cliente', $GERA_COMISSAO_TIPO)) {
                    echo ' checked="checked"';
                }
                ?> />  Por cliente</label>
            <div class="clear"></div>
            <?php echo $form->error($model, 'TLD_GERA_COMISSAO_TIPO'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_COMISSAO_DOCS'); ?>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_COMISSAO_DOCS][]" value="Cupom"<?php
                if (in_array('Cupom', $COMISSAO_DOCS)) {
                    echo ' checked="checked"';
                }
                ?> />  Cupom</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_COMISSAO_DOCS][]" value="NF-e"<?php
                if (in_array('NF-e', $COMISSAO_DOCS)) {
                    echo ' checked="checked"';
                }
                ?> />  NF-e</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_COMISSAO_DOCS][]" value="NFC-e"<?php
                if (in_array('NFC-e', $COMISSAO_DOCS)) {
                    echo ' checked="checked"';
                }
                ?> />  NFC-e</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_COMISSAO_DOCS][]" value="Orçamento de venda"<?php
                if (in_array('Orçamento de venda', $COMISSAO_DOCS)) {
                    echo ' checked="checked"';
                }
                ?> />  Orçamento de venda</label>
            <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_COMISSAO_DOCS][]" value="Pedido de venda"<?php
                if (in_array('Pedido de venda', $COMISSAO_DOCS)) {
                    echo ' checked="checked"';
                }
                ?> />  Pedido de venda</label>
            <div class="clear"></div>
            <?php echo $form->error($model, 'TLD_COMISSAO_DOCS'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_COMISSAO_OBS'); ?>
            <?php echo $form->textArea($model, 'TLD_COMISSAO_OBS'); ?>
            <?php echo $form->error($model, 'TLD_COMISSAO_OBS'); ?>
        </div><!-- row -->
    </div>
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_IMP_NAO_FISCAL'); ?>
        <?php echo $form->dropDownList($model, 'TLD_IMP_NAO_FISCAL', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_IMP_NAO_FISCAL(this.value)')); ?>
        <?php echo $form->error($model, 'TLD_IMP_NAO_FISCAL'); ?>
    </div><!-- row -->
    <div id="t_TLD_IMP_NAO_FISCAL" style="display: <?php
    if ($model->TLD_IMP_NAO_FISCAL == '1') {
        echo 'block';
    } else {
        echo 'none';
    }
    ?>;">
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_IMP_NAO_FISCAL_QTD'); ?>
            <?php echo $form->textField($model, 'TLD_IMP_NAO_FISCAL_QTD'); ?>
            <?php echo $form->error($model, 'TLD_IMP_NAO_FISCAL_QTD'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_IMP_NAO_FISCAL_MODELOS'); ?>
            <?php echo $form->textField($model, 'TLD_IMP_NAO_FISCAL_MODELOS', array('maxlength' => 255)); ?>
            <?php echo $form->error($model, 'TLD_IMP_NAO_FISCAL_MODELOS'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_IMP_NAO_FISCAL_COMUNICACAO'); ?>
            <?php echo $form->dropDownList($model, 'TLD_IMP_NAO_FISCAL_COMUNICACAO', array('USB' => 'USB', 'Serial' => 'Serial'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_IMP_NAO_FISCAL_COMUNICACAO(this.value)')); ?>
            <?php echo $form->error($model, 'TLD_IMP_NAO_FISCAL_COMUNICACAO'); ?>
        </div><!-- row -->
        <div class="row" id="t_TLD_IMP_NAO_FISCAL_COMUNICACAO" style="display: <?php
        if ($model->TLD_IMP_NAO_FISCAL_COMUNICACAO == 'Serial') {
            echo 'block';
        } else {
            echo 'none';
        }
        ?>;">
             <?php echo $form->labelEx($model, 'TLD_IMP_NAO_FISCAL_PORTA_DISPONIVEL'); ?>
             <?php echo $form->dropDownList($model, 'TLD_IMP_NAO_FISCAL_PORTA_DISPONIVEL', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione')); ?>
             <?php echo $form->error($model, 'TLD_IMP_NAO_FISCAL_PORTA_DISPONIVEL'); ?>
        </div><!-- row -->
    </div>
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_IMP_ETIQ'); ?>
        <?php echo $form->dropDownList($model, 'TLD_IMP_ETIQ', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_IMP_ETIQ(this.value)')); ?>
        <?php echo $form->error($model, 'TLD_IMP_ETIQ'); ?>
    </div><!-- row -->
    <div id="t_TLD_IMP_ETIQ" style="display: <?php
    if ($model->TLD_IMP_ETIQ == '1') {
        echo 'block';
    } else {
        echo 'none';
    }
    ?>;">
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_IMP_TERMICA'); ?>
            <?php echo $form->dropDownList($model, 'TLD_IMP_TERMICA', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_IMP_TERMICA(this.value)')); ?>
            <?php echo $form->error($model, 'TLD_IMP_TERMICA'); ?>
        </div><!-- row -->
        <div class="row" id="t_TLD_IMP_TERMICA" style="display: <?php
        if ($model->TLD_IMP_TERMICA == '1') {
            echo 'block';
        } else {
            echo 'none';
        }
        ?>;">
             <?php echo $form->labelEx($model, 'TLD_IMP_TERMICA_MODELO'); ?>
             <?php echo $form->dropDownList($model, 'TLD_IMP_TERMICA_MODELO', array('ARGOX Linguagem PPLA' => 'ARGOX Linguagem PPLA', 'Elgin L42 Linguagem BPLA' => 'Elgin L42 Linguagem BPLA'), array('prompt' => 'Selecione')); ?>
             <?php echo $form->error($model, 'TLD_IMP_TERMICA_MODELO'); ?>
        </div><!-- row -->
    </div>
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_INFORMACOES_FINANCEIRAS'); ?>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_INFORMACOES_FINANCEIRAS][]" id="TLD_INFORMACOES_FINANCEIRAS_1" value="Emissão de boletos" onclick="f_TLD_INFORMACOES_FINANCEIRAS();"<?php
            if (in_array('Emissão de boletos', $INFORMACOES_FINANCEIRAS)) {
                echo ' checked="checked"';
            }
            ?> />  Emissão de boletos</label>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_INFORMACOES_FINANCEIRAS][]" id="TLD_INFORMACOES_FINANCEIRAS_2" value="Envio de remessas/retornos" onclick="f_TLD_INFORMACOES_FINANCEIRAS();"<?php
            if (in_array('Envio de remessas/retornos', $INFORMACOES_FINANCEIRAS)) {
                echo ' checked="checked"';
            }
            ?> />  Envio  de remessas/retornos</label>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_INFORMACOES_FINANCEIRAS][]" id="TLD_INFORMACOES_FINANCEIRAS_3" value="Não utiliza" onclick="f_TLD_INFORMACOES_FINANCEIRAS();"<?php
            if (in_array('Não utiliza', $INFORMACOES_FINANCEIRAS)) {
                echo ' checked="checked"';
            }
            ?> />  Não utiliza</label>
        <div class="clear"></div>
        <?php echo $form->error($model, 'TLD_INFORMACOES_FINANCEIRAS'); ?>
    </div><!-- row -->
    <div id="box-bancos" style="display: <?php
    if (in_array('Emissão de boletos', $INFORMACOES_FINANCEIRAS) or in_array('Envio de remessas/retornos', $INFORMACOES_FINANCEIRAS)) {
        echo 'block';
    } else {
        echo 'none';
    }
    ?>;">
        <div>
            <div class="retorno-banco"></div>
        </div>
        <div class="clear"></div>
        <div class="separador"></div>
        <div class="clear"></div>
        <div class="adicionar-banco">Adicionar banco</div>
    </div>
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_CONTROLE_ESTOQUE'); ?>
        <?php echo $form->dropDownList($model, 'TLD_CONTROLE_ESTOQUE', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_CONTROLE_ESTOQUE(this.value)')); ?>
        <?php echo $form->error($model, 'TLD_CONTROLE_ESTOQUE'); ?>
    </div><!-- row -->
    <div class="row" id="t_TLD_CONTROLE_ESTOQUE" style="display: <?php
    if ($model->TLD_CONTROLE_ESTOQUE == '1') {
        echo 'block';
    } else {
        echo 'none';
    }
    ?>;">
         <?php echo $form->labelEx($model, 'TLD_BAIXA_DOCUMENTO'); ?>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_BAIXA_DOCUMENTO][]" value="Ordem de serviço"<?php
            if (in_array('Ordem de serviço', $BAIXA_DOCUMENTO)) {
                echo ' checked="checked"';
            }
            ?> />  Ordem de serviço</label>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_BAIXA_DOCUMENTO][]" value="Orçamento"<?php
            if (in_array('Orçamento', $BAIXA_DOCUMENTO)) {
                echo ' checked="checked"';
            }
            ?> />  Orçamento</label>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_BAIXA_DOCUMENTO][]" value="Pedido de venda"<?php
            if (in_array('Pedido de venda', $BAIXA_DOCUMENTO)) {
                echo ' checked="checked"';
            }
            ?> />  Pedido de venda</label>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_BAIXA_DOCUMENTO][]" value="Cupom fiscal"<?php
            if (in_array('Cupom fiscal', $BAIXA_DOCUMENTO)) {
                echo ' checked="checked"';
            }
            ?> />  Cupom fiscal</label>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_BAIXA_DOCUMENTO][]" value="Nota"<?php
            if (in_array('Nota', $BAIXA_DOCUMENTO)) {
                echo ' checked="checked"';
            }
            ?> />  Nota</label>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_BAIXA_DOCUMENTO][]" value="Baixa pela emissão"<?php
            if (in_array('Baixa pela emissão', $BAIXA_DOCUMENTO)) {
                echo ' checked="checked"';
            }
            ?> />  Baixa pela emissão</label>
        <label class="check-tld"><input type="checkbox" name="TermoLevantamentoDados[TLD_BAIXA_DOCUMENTO][]" value="Baixa pela troca de situação"<?php
            if (in_array('Baixa pela troca de situação', $BAIXA_DOCUMENTO)) {
                echo ' checked="checked"';
            }
            ?> />  Baixa pela troca de situação</label>
        <div class="clear"></div>
        <?php echo $form->error($model, 'TLD_BAIXA_DOCUMENTO'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_INTEGRA_CONTABIL'); ?>
        <?php echo $form->dropDownList($model, 'TLD_INTEGRA_CONTABIL', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'onchange' => 'f_TLD_INTEGRA_CONTABIL(this.value)')); ?>
        <?php echo $form->error($model, 'TLD_INTEGRA_CONTABIL'); ?>
    </div><!-- row -->
    <div id="t_TLD_INTEGRA_CONTABIL" style="display: <?php
    if ($model->TLD_INTEGRA_CONTABIL == '1') {
        echo 'block';
    } else {
        echo 'none';
    }
    ?>;">
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_ESCRITORIO_CONTABIL'); ?>
            <?php echo $form->textField($model, 'TLD_ESCRITORIO_CONTABIL', array('maxlength' => 255)); ?>
            <?php echo $form->error($model, 'TLD_ESCRITORIO_CONTABIL'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_NOME_CONTADOR'); ?>
            <?php echo $form->textField($model, 'TLD_NOME_CONTADOR', array('maxlength' => 255)); ?>
            <?php echo $form->error($model, 'TLD_NOME_CONTADOR'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_CONTADOR_TELEFONE'); ?>
            <?php echo $form->textField($model, 'TLD_CONTADOR_TELEFONE', array('maxlength' => 40, 'class' => 'mask_telefone')); ?>
            <?php echo $form->error($model, 'TLD_CONTADOR_TELEFONE'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'TLD_SISTEMA_CONTABIL'); ?>
            <?php echo $form->textField($model, 'TLD_SISTEMA_CONTABIL', array('maxlength' => 255)); ?>
            <?php echo $form->error($model, 'TLD_SISTEMA_CONTABIL'); ?>
        </div><!-- row -->
    </div>
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_RELATORIOS'); ?>
        <?php echo $form->textArea($model, 'TLD_RELATORIOS'); ?>
        <?php echo $form->error($model, 'TLD_RELATORIOS'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_OBS'); ?>
        <?php echo $form->textArea($model, 'TLD_OBS'); ?>
        <?php echo $form->error($model, 'TLD_OBS'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'TLD_DATA_PROX_VISITA'); ?>
        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'TLD_DATA_PROX_VISITA')); ?>
        <?php echo $form->error($model, 'TLD_DATA_PROX_VISITA'); ?>
    </div><!-- row -->
    <div class="clear"></div>

    <?php
    echo FaHtml::saveButton();
    $this->endWidget();
    ?>
</div><!-- form -->


<script>

    function f_TLD_N_FUNCIONARIOS_TREINAMENTO(qtd) {
        var old = $('input[name="TermoLevantamentoDados[TLD_FUNCIONARIOS_TREINAMENTO][]"]').length;

        if ($('label[for=TermoLevantamentoDados_TLD_FUNCIONARIOS_TREINAMENTO]').length == 0) {
            $('.retorno-funcionarios').append('<label class="required" for="TermoLevantamentoDados_TLD_FUNCIONARIOS_TREINAMENTO">Cite o nome dos funcionários</label>');
        }
        if (old < qtd) {
            for (i = 1; i <= qtd - old; i++) {
                $('.retorno-funcionarios').append('<div class="row func-treinamento"><input id="TermoLevantamentoDados_TLD_FUNCIONARIOS_TREINAMENTO" type="text" name="TermoLevantamentoDados[TLD_FUNCIONARIOS_TREINAMENTO][]" maxlength="255"></div>');
            }
        } else {
            if (old != qtd) {
                for (i = 1; i <= old - qtd; i++) {
                    $('input[name="TermoLevantamentoDados[TLD_FUNCIONARIOS_TREINAMENTO][]').last().remove();
                }
            }
        }
    }

    function f_TLD_COMPUT_REDE(TLD_COMPUT_REDE) {
        $('#t_TLD_TIPO_REDE').hide();
        if (TLD_COMPUT_REDE == 1) {
            $('#t_TLD_TIPO_REDE').show();
        }
    }

    function f_TLD_DOCUMENTOS_FISCAIS() {
        $('#tld-ecfs').hide();
        $('#tld-doc-eletronico').hide();
        if ($("#TLD_DOCUMENTOS_FISCAIS_3").is(":checked") == true || $("#TLD_DOCUMENTOS_FISCAIS_5").is(":checked") == true || $("#TLD_DOCUMENTOS_FISCAIS_6").is(":checked") == true) {
            $('#tld-ecfs').show();
        }
        if ($("#TLD_DOCUMENTOS_FISCAIS_1").is(":checked") == true || $("#TLD_DOCUMENTOS_FISCAIS_2").is(":checked") == true || $("#TLD_DOCUMENTOS_FISCAIS_4").is(":checked") == true || $("#TLD_DOCUMENTOS_FISCAIS_7").is(":checked") == true || $("#TLD_DOCUMENTOS_FISCAIS_8").is(":checked") == true) {
            $('#tld-doc-eletronico').show();
        }
    }

    function f_TLD_ECF_COMUNICACAO(TLD_ECF_COMUNICACAO) {
        $('#t_TLD_ECF_PORTA_DISPONIVEL').hide();
        if (TLD_ECF_COMUNICACAO == 'Serial') {
            $('#t_TLD_ECF_PORTA_DISPONIVEL').show();
        }
    }

    function f_TLD_GERA_COMISSAO(TLD_GERA_COMISSAO) {
        $('#t_TLD_GERA_COMISSAO').hide();
        if (TLD_GERA_COMISSAO == '1') {
            $('#t_TLD_GERA_COMISSAO').show();
        }
    }

    function f_TLD_IMP_NAO_FISCAL(TLD_IMP_NAO_FISCAL) {
        $('#t_TLD_IMP_NAO_FISCAL').hide();
        if (TLD_IMP_NAO_FISCAL == '1') {
            $('#t_TLD_IMP_NAO_FISCAL').show();
        }
    }

    function f_TLD_IMP_NAO_FISCAL_COMUNICACAO(TLD_IMP_NAO_FISCAL_COMUNICACAO) {
        $('#t_TLD_IMP_NAO_FISCAL_COMUNICACAO').hide();
        if (TLD_IMP_NAO_FISCAL_COMUNICACAO == 'Serial') {
            $('#t_TLD_IMP_NAO_FISCAL_COMUNICACAO').show();
        }
    }

    function f_TLD_IMP_ETIQ(TLD_IMP_ETIQ) {
        $('#t_TLD_IMP_ETIQ').hide();
        if (TLD_IMP_ETIQ == '1') {
            $('#t_TLD_IMP_ETIQ').show();
        }
    }

    function f_TLD_IMP_TERMICA(TLD_IMP_TERMICA) {
        $('#t_TLD_IMP_TERMICA').hide();
        if (TLD_IMP_TERMICA == '1') {
            $('#t_TLD_IMP_TERMICA').show();
        }
    }

    function f_TLD_INFORMACOES_FINANCEIRAS() {
        $('#box-bancos').hide();
        if ($("#TLD_INFORMACOES_FINANCEIRAS_1").is(":checked") == true || $("#TLD_INFORMACOES_FINANCEIRAS_2").is(":checked") == true) {
            $('#box-bancos').show();
        }

    }

    function f_TLD_INTEGRA_CONTABIL(TLD_INTEGRA_CONTABIL) {
        $('#t_TLD_INTEGRA_CONTABIL').hide();
        if (TLD_INTEGRA_CONTABIL == '1') {
            $('#t_TLD_INTEGRA_CONTABIL').show();
        }
    }

    function f_TLD_CONTROLE_ESTOQUE(TLD_CONTROLE_ESTOQUE) {
        $('#t_TLD_CONTROLE_ESTOQUE').hide();
        if (TLD_CONTROLE_ESTOQUE == '1') {
            $('#t_TLD_CONTROLE_ESTOQUE').show();
        }
    }

    $(document).ready(function () {
        $('.excluir-banco').on('click', function (e) {
            e.preventDefault();
            $(this).parents('.box-banco').remove();
        });

        adicionar_banco = function (id_banco) {
            $.post(createUrl('termoLevantamentoDados/bancos'), {'id_banco': id_banco}, function (data) {
                $('.retorno-banco').append(data);
            });
        }


        <?php
        $TermoLevantamentoDadosBancos = TermoLevantamentoDadosBancos::model()->findAll("TLDB_IDTERMO = '" . $model->TLD_CODIGO . "'");
        foreach ($TermoLevantamentoDadosBancos as $TermoLevantamentoDadosBancos) {
           echo 'adicionar_banco(' . $TermoLevantamentoDadosBancos->TLDB_CODIGO . ')';
        }
        if ($model->isNewRecord) {
            if (isset($_POST['TLDB_BANCO']) && is_array($_POST['TLDB_BANCO'])) {
        ?>
                adicionar_banco_erro = function (TLDB_BANCO, TLDB_AGENCIA, TLDB_AGENCIA_DIGITO, TLDB_CONTA, TLDB_CONTA_DIGITO, TLDB_NUM_CARTEIRA, TLDB_COD_CONVENIO, TLDB_GERENTE, TLDB_TELEFONE, TLDB_BOLETO_EMITIDO_POR, TLDB_BOLETO_PROTESTO, TLDB_BOLETO_PROTESTO_DIAS, TLDB_BOLETO_PROTESTO_JUROS, TLDB_BOLETO_PROTESTO_MULTA) {
                    $.post(createUrl('termoLevantamentoDados/bancos'), {'TLDB_BANCO': TLDB_BANCO, 'TLDB_AGENCIA': TLDB_AGENCIA, 'TLDB_AGENCIA_DIGITO': TLDB_AGENCIA_DIGITO, 'TLDB_CONTA': TLDB_CONTA, 'TLDB_CONTA_DIGITO': TLDB_CONTA_DIGITO, 'TLDB_NUM_CARTEIRA': TLDB_NUM_CARTEIRA, 'TLDB_COD_CONVENIO': TLDB_COD_CONVENIO, 'TLDB_GERENTE': TLDB_GERENTE, 'TLDB_TELEFONE': TLDB_TELEFONE, 'TLDB_BOLETO_EMITIDO_POR': TLDB_BOLETO_EMITIDO_POR, 'TLDB_BOLETO_PROTESTO': TLDB_BOLETO_PROTESTO, 'TLDB_BOLETO_PROTESTO_DIAS': TLDB_BOLETO_PROTESTO_DIAS, 'TLDB_BOLETO_PROTESTO_JUROS': TLDB_BOLETO_PROTESTO_JUROS, 'TLDB_BOLETO_PROTESTO_MULTA': TLDB_BOLETO_PROTESTO_MULTA}, function (data) {
                        $('.retorno-banco').append(data);
                    });
                }
                <?php foreach ($_POST['TLDB_BANCO'] as $indice => $banco) { ?>
                        adicionar_banco_erro('<?php echo $_POST['TLDB_BANCO'][$indice]; ?>', '<?php echo $_POST['TLDB_AGENCIA'][$indice]; ?>', '<?php echo $_POST['TLDB_AGENCIA_DIGITO'][$indice]; ?>', '<?php echo $_POST['TLDB_CONTA'][$indice]; ?>', '<?php echo $_POST['TLDB_CONTA_DIGITO'][$indice]; ?>', '<?php echo $_POST['TLDB_NUM_CARTEIRA'][$indice]; ?>', '<?php echo $_POST['TLDB_COD_CONVENIO'][$indice]; ?>', '<?php echo $_POST['TLDB_GERENTE'][$indice]; ?>', '<?php echo $_POST['TLDB_TELEFONE'][$indice]; ?>', '<?php echo $_POST['TLDB_BOLETO_EMITIDO_POR'][$indice]; ?>', '<?php echo $_POST['TLDB_BOLETO_PROTESTO'][$indice]; ?>', '<?php echo $_POST['TLDB_BOLETO_PROTESTO_DIAS'][$indice]; ?>', '<?php echo $_POST['TLDB_BOLETO_PROTESTO_JUROS'][$indice]; ?>', '<?php echo $_POST['TLDB_BOLETO_PROTESTO_MULTA'][$indice]; ?>');
        <?php
                }
            }
        }
        ?>

        $('.adicionar-banco').click(function () {
            adicionar_banco();
        });

        $('[name="TLDB_BANCO[]"]').on('change', function () {
            if ($(this).val() == 'Outro') {
                $(this).parents('.box-banco').find('.outro').show();
            } else {
                $(this).parents('.box-banco').find('.outro').hide();
            }
        });

        $('[name="TLDB_BOLETO_PROTESTO[]"]').on('change', function () {
            if ($(this).val() == '1') {
                $(this).parents('.box-banco').find('.dados-protesto').show();
            } else {
                $(this).parents('.box-banco').find('.dados-protesto').hide();
            }
        });

    });

</script>